Certificate-related error messages on phones

Hello, CommCare Users,

Just wanted to remind you about a change that affects new installations or
updates to CommCare applications for Java/Feature phones. Our application
signing certificates were renewed yesterday, a normal process that happens
every two years. What this means is that if you see the error “Certificate
invalid according to device’s date” when trying to install CommCare on
Java/Feature Phones, you should make a new build and install again. If you
are using a CommCare application that is already installed you should not
see this message; this only affects new installations and updates.

This should not have any impact on CommCare for Android.

You can read this page for more information about application signing:
https://help.commcarehq.org/display/commcarepublic/Java+Application+Signing

Thanks,
CommCare team